// (C) 2023-2024 GoodData Corporation
import React from "react";
import { BubbleHoverTrigger, Bubble, Icon } from "@gooddata/sdk-ui-kit";
/**
 * @internal
 */
export const AttributeFilterDependencyTooltip = ({ tooltipContent, }) => {
    return (React.createElement("span", { className: "gd-attribute-filter-dropdown-button-icon-tooltip" },
        React.createElement(BubbleHoverTrigger, null,
            React.createElement(Icon.BoldHyperlink, { width: 12, height: 16 }),
            React.createElement(Bubble, { arrowOffsets: { "bc tl": [-12, 9], "bc tr": [12, 9] }, alignPoints: [{ align: "bc tl" }, { align: "bc tr" }] },
                React.createElement("div", { className: "gd-attribute-filter-dropdown-button-icon-tooltip__content" }, tooltipContent)))));
};
//# sourceMappingURL=AttributeFilterDependencyTooltip.js.map