import React from "react";
import { IAttributeFilterElementsSelectItemProps } from "./types.js";
/**
 * This component represents the Attribute Filter element.
 * It displays a checkbox to add/remove to/from selection.
 * It allows users to add only this item to selection.
 * It also displays a localized empty element label in case element value is empty.
 *
 * @beta
 */
export declare const AttributeFilterElementsSelectItem: React.VFC<IAttributeFilterElementsSelectItemProps>;
//# sourceMappingURL=AttributeFilterElementsSelectItem.d.ts.map