// (C) 2007-2025 GoodData Corporation
import React from "react";
import cx from "classnames";
import { Bubble, BubbleHoverTrigger } from "@gooddata/sdk-ui-kit";
export const AttributeFilterElementsSelectItemTooltip = ({ itemTitle, primaryLabelTitle, itemPrimaryTitle, isFocused = false }) => (React.createElement("div", { className: "gd-item-title-tooltip-wrapper gd-list-item-only" },
    React.createElement(BubbleHoverTrigger, { className: "gd-empty-list-item-tooltip", showDelay: 0, hideDelay: 0 },
        React.createElement("span", { className: cx("gd-icon-circle-question gd-empty-value-tooltip-icon", {
                "gd-icon-circle-question--isFocusedSelectItem": isFocused,
            }) }),
        React.createElement(Bubble, { className: "bubble-light gd-item-title-tooltip", alignTo: ".gd-empty-value-tooltip-icon", alignPoints: [
                { align: "cr cl", offset: { x: 0, y: 0 } },
                { align: "cr bl", offset: { x: 0, y: 0 } },
                { align: "cr tl", offset: { x: 0, y: 0 } },
                { align: "cl cr", offset: { x: 0, y: 0 } },
                { align: "cl br", offset: { x: 0, y: 0 } },
                { align: "cl tr", offset: { x: 0, y: 0 } },
            ], arrowStyle: { display: "none" } },
            React.createElement("p", null, itemTitle),
            primaryLabelTitle && itemPrimaryTitle ? (React.createElement(React.Fragment, null,
                React.createElement("h4", null, primaryLabelTitle),
                React.createElement("p", null, itemPrimaryTitle))) : null))));
//# sourceMappingURL=AttributeFilterElementsSelectItemTooltip.js.map