import { IMultiSelectAttributeFilterHandler } from "../../AttributeFilterHandler/index.js";
/**
 * @internal
 */
export declare const useAttributeFilterHandlerMethods: (handler: IMultiSelectAttributeFilterHandler) => {
    init: (correlation?: string) => void;
    onInitStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    onInitSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    onInitError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnInitErrorCallbackPayload>;
    onInitCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    loadAttribute: (correlation?: string) => void;
    cancelAttributeLoad: () => void;
    onLoadAttributeStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    onLoadAttributeSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadAttributeSuccessCallbackPayload>;
    onLoadAttributeError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadAttributeErrorCallbackPayload>;
    onLoadAttributeCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    loadInitialElementsPage: (correlation?: string) => void;
    cancelInitialElementsPageLoad: () => void;
    onLoadInitialElementsPageStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    onLoadInitialElementsPageSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadInitialElementsPageSuccessCallbackPayload>;
    onLoadInitialElementsPageError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadInitialElementsPageErrorCallbackPayload>;
    onLoadInitialElementsPageCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    loadNextElementsPage: (correlation?: string) => void;
    cancelNextElementsPageLoad: () => void;
    onLoadNextElementsPageStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    onLoadNextElementsPageSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadNextElementsPageSuccessCallbackPayload>;
    onLoadNextElementsPageError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadNextElementsPageErrorCallbackPayload>;
    onLoadNextElementsPageCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<{
        correlation: string;
    }>;
    loadCustomElements: (options: import("../../AttributeFilterHandler/index.js").ILoadElementsOptions, correlation?: string) => void;
    cancelCustomElementsLoad: (correlation?: string) => void;
    onLoadCustomElementsStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<Partial<{
        correlation: string;
    }>>;
    onLoadCustomElementsSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadCustomElementsSuccessCallbackPayload>;
    onLoadCustomElementsError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadCustomElementsErrorCallbackPayload>;
    onLoadCustomElementsCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<Partial<{
        correlation: string;
    }>>;
    loadIrrelevantElements: (correlation?: string) => void;
    cancelIrrelevantElementsLoad: (correlation?: string) => void;
    onLoadIrrelevantElementsStart: import("../../AttributeFilterHandler/index.js").CallbackRegistration<Partial<{
        correlation: string;
    }>>;
    onLoadIrrelevantElementsSuccess: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadIrrelevantElementsSuccessCallbackPayload>;
    onLoadIrrelevantElementsError: import("../../AttributeFilterHandler/index.js").CallbackRegistration<import("../../AttributeFilterHandler/index.js").OnLoadIrrelevantElementsErrorCallbackPayload>;
    onLoadIrrelevantElementsCancel: import("../../AttributeFilterHandler/index.js").CallbackRegistration<Partial<{
        correlation: string;
    }>>;
    setOrder: (order: import("@gooddata/sdk-model").SortDirection) => void;
    setSearch: (search: string) => void;
    setLimit: (limit: number) => void;
    setLimitingAttributeFilters: (filters: import("@gooddata/sdk-backend-spi").IElementsQueryAttributeFilter[]) => void;
    setLimitingDateFilters: (filters: (import("@gooddata/sdk-model").IAbsoluteDateFilter | import("@gooddata/sdk-model").IRelativeDateFilter)[]) => void;
    setLimitingMeasures: (measures: import("@gooddata/sdk-model").IMeasure<import("@gooddata/sdk-model").IMeasureDefinitionType>[]) => void;
    setLimitingValidationItems: (validateBy: import("@gooddata/sdk-model").ObjRef[]) => void;
    changeSelection: (selection: import("../../AttributeFilterHandler/index.js").InvertableAttributeElementSelection) => void;
    clearSelection: () => void;
    revertSelection: () => void;
    invertSelection: () => void;
    commitSelection: () => void;
};
//# sourceMappingURL=useAttributeFilterHandlerMethods.d.ts.map