import { Correlation } from "../../../types/index.js";
import { AttributeFilterReducer } from "../store/state.js";
import { ObjRef } from "@gooddata/sdk-model";
/**
 * @internal
 */
export declare const displayFormsReducers: {
    transformFilterToPrimaryLabel: AttributeFilterReducer<{
        payload: {
            primaryLabelRef: ObjRef;
            secondaryLabelRef: ObjRef;
            correlation: Correlation;
        };
        type: string;
    }>;
    setDisplayAsLabel: AttributeFilterReducer<{
        payload: {
            displayAsLabel: ObjRef;
            correlation: Correlation;
        };
        type: string;
    }>;
    setDisplayFormRef: AttributeFilterReducer<{
        payload: {
            displayForm: ObjRef;
            correlation: Correlation;
        };
        type: string;
    }>;
};
//# sourceMappingURL=displayFormsReducers.d.ts.map