import { loadElementsFromStaticElements } from "./loadElementsFromStaticElements.js";
import { loadElementsFromBackend } from "./loadElementsFromBackend.js";
/**
 * @internal
 */
export async function loadElements(context, options, hiddenElementsInfo, staticElements, cacheId) {
    return staticElements?.length
        ? loadElementsFromStaticElements(options, hiddenElementsInfo, staticElements)
        : loadElementsFromBackend(context, options, hiddenElementsInfo, cacheId);
}
//# sourceMappingURL=loadElements.js.map