import React from "react";
import { IAbsoluteDateFilterForm, WeekStart } from "@gooddata/sdk-model";
import { DateFilterOption } from "../interfaces/index.js";
/**
 * @internal
 */
export interface IAbsoluteDateFilterFormProps {
    dateFormat: string;
    selectedFilterOption: IAbsoluteDateFilterForm;
    isMobile: boolean;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    isTimeEnabled: boolean;
    weekStart?: WeekStart;
    shouldOverlayDatePicker?: boolean;
    submitForm: () => void;
}
/**
 * @internal
 */
export declare const AbsoluteDateFilterForm: React.FC<IAbsoluteDateFilterFormProps>;
//# sourceMappingURL=AbsoluteDateFilterForm.d.ts.map