import React from "react";
import { DateFilterOption, IDateFilterOptionsByType, IExtendedDateFilterErrors } from "../interfaces/index.js";
import { DateFilterRoute } from "./types.js";
import { DateFilterGranularity, WeekStart } from "@gooddata/sdk-model";
interface IDateFilterBodyMobileContentProps {
    filterOptions: IDateFilterOptionsByType;
    selectedFilterOption: DateFilterOption;
    isMobile: boolean;
    route: DateFilterRoute;
    dateFormat: string;
    isTimeForAbsoluteRangeEnabled: boolean;
    weekStart: WeekStart;
    availableGranularities: DateFilterGranularity[];
    errors?: IExtendedDateFilterErrors;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    closeDropdown: () => void;
    changeRoute: (newRoute?: DateFilterRoute) => void;
    onApplyClick: () => void;
}
export declare const DateFilterBodyMobileContent: React.FC<IDateFilterBodyMobileContentProps>;
export {};
//# sourceMappingURL=DateFilterBodyMobileContent.d.ts.map