import React from "react";
import { IFilterButtonCustomIcon } from "../../shared/index.js";
/**
 * @alpha
 */
export interface IDateFilterButtonProps {
    title: React.ReactNode;
    isOpen?: boolean;
    isMobile: boolean;
    disabled?: boolean;
    customIcon?: IFilterButtonCustomIcon;
    children?: React.ReactNode;
    customFilterName?: string;
    buttonRef?: React.MutableRefObject<HTMLElement | null>;
    dropdownId?: string;
    onClick?: () => void;
    textTitle?: string;
    textSubtitle?: string;
}
export declare const DateFilterButton: React.FC<IDateFilterButtonProps>;
//# sourceMappingURL=DateFilterButton.d.ts.map