import React from "react";
import { IInputAccessibilityConfig, IDateInputErrorMessageTexts } from "./types.js";
export interface IDateInputProps {
    value: Date;
    inputLabel: string;
    onChange: (date: Date, shouldSubmitForm?: boolean) => void;
    onKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    onClick: () => void;
    dateFormat: string;
    isMobile: boolean;
    isTimeEnabled: boolean;
    isDateOrderError?: boolean;
    errorMessageTexts: IDateInputErrorMessageTexts;
    accessibilityConfig: IInputAccessibilityConfig;
}
export declare const DateInput: React.ForwardRefExoticComponent<IDateInputProps & React.RefAttributes<HTMLInputElement>>;
//# sourceMappingURL=DateInput.d.ts.map