import React from "react";
import { IntlShape } from "react-intl";
import { WeekStart } from "@gooddata/sdk-model";
import { DayPickerRangeProps, SelectRangeEventHandler } from "react-day-picker";
import { IDateRange } from "./types.js";
import { DateRangePosition } from "../interfaces/index.js";
export declare const DayPicker: React.ForwardRefExoticComponent<{
    mode: DateRangePosition;
    originalDateRange: IDateRange;
    selectedDateRange: IDateRange;
    alignTo: string;
    calendarClassNames: string;
    onDateRangeSelect: SelectRangeEventHandler;
    dayPickerProps?: DayPickerRangeProps;
    weekStart?: WeekStart;
    renderAsOverlay?: boolean;
    intl: IntlShape;
} & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=DatePicker.d.ts.map