import React from "react";
import { DynamicSelectItem } from "./types.js";
export interface IRelativeRangeDynamicSelectProps {
    getItems: (inputValue: string) => DynamicSelectItem[];
    onChange?: (item: number) => void;
    initialIsOpen?: boolean;
    placeholder?: string;
    value?: number | null;
    inputValue: string;
    onInputValueChange: (value: string) => void;
    onBlur?: () => void;
    className?: string;
    style?: React.CSSProperties;
    optionClassName?: string;
    visibleItemsRange?: number;
    accessibilityConfig?: {
        labelId?: string;
        descriptionId?: string;
        ariaLabel?: string;
    };
}
export declare const RelativeRangeDynamicSelect: React.FC<IRelativeRangeDynamicSelectProps>;
//# sourceMappingURL=RelativeRangeDynamicSelect.d.ts.map