// (C) 2007-2019 GoodData Corporation
import React from "react";
import { Bubble, BubbleHoverTrigger } from "@gooddata/sdk-ui-kit";
import cx from "classnames";
export const ListItemTooltip = ({ children, className, bubbleAlignPoints, ...restProps }) => (React.createElement("span", { className: cx("gd-list-item-tooltip", className), ...restProps },
    React.createElement(BubbleHoverTrigger, null,
        React.createElement("span", { className: "gd-icon-circle-question gd-list-item-tooltip-icon" }),
        React.createElement(Bubble, { alignPoints: bubbleAlignPoints }, children))));
//# sourceMappingURL=ListItemTooltip.js.map