import React from "react";
import { IUiRelativeDateFilterForm, DateFilterOption } from "../interfaces/index.js";
import { DateFilterGranularity } from "@gooddata/sdk-model";
/**
 * @internal
 */
export interface IRelativeDateFilterFormProps {
    relativeDateFilterId?: string;
    availableGranularities: DateFilterGranularity[];
    selectedFilterOption: IUiRelativeDateFilterForm;
    onSelectedFilterOptionChange: (dateFilterOption: DateFilterOption) => void;
    isMobile: boolean;
    onKeyDown?: (event: React.KeyboardEvent) => void;
}
/**
 * @internal
 */
export declare const RelativeDateFilterForm: React.ForwardRefExoticComponent<IRelativeDateFilterFormProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=RelativeDateFilterForm.d.ts.map