import React from "react";
import { DateFilterOption, IDateFilterOptionsByType, IExtendedDateFilterErrors } from "../interfaces/index.js";
import { DateFilterRoute } from "../DateFilterBody/types.js";
import { DateFilterGranularity } from "@gooddata/sdk-model";
interface IAllTimeFilterSectionProps {
    filterOptions: IDateFilterOptionsByType;
    selectedFilterOption: DateFilterOption;
    isMobile: boolean;
    route: string;
    availableGranularities: DateFilterGranularity[];
    errors: IExtendedDateFilterErrors;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    changeRoute: (newRoute?: DateFilterRoute) => void;
    closeDropdown: () => void;
    onApplyClick: () => void;
}
export declare const RelativeDateFilterFormSection: React.FC<IAllTimeFilterSectionProps>;
export {};
//# sourceMappingURL=RelativeDateFilterFormSection.d.ts.map