import React from "react";
import { WrappedComponentProps } from "react-intl";
import { IUiRelativeDateFilterForm, DateFilterOption } from "../interfaces/index.js";
import { IAccessibilityConfigBase } from "@gooddata/sdk-ui-kit";
interface IRelativeRangePickerProps {
    selectedFilterOption: IUiRelativeDateFilterForm;
    onSelectedFilterOptionChange: (dateFilterOption: DateFilterOption) => void;
    isMobile: boolean;
    accessibilityConfig?: IAccessibilityConfigBase;
    id?: string;
}
export declare const RelativeRangePicker: React.FC<import("react-intl").WithIntlProps<IRelativeRangePickerProps & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<IRelativeRangePickerProps & WrappedComponentProps>;
};
export {};
//# sourceMappingURL=RelativeRangePicker.d.ts.map