// (C) 2007-2024 GoodData Corporation
import React from "react";
import cx from "classnames";
import { itemToString } from "./utils.js";
// eslint-disable-next-line @typescript-eslint/ban-types
export const SelectButton = ({ selectedItem = null, isOpen, getToggleButtonProps, }) => (
// TODO: Replace with goodstrap Button once it supports aria props
// This needs to be a button element, because Downshift requires something that can get focus
React.createElement("button", { ...getToggleButtonProps(), type: "button", className: cx("gd-button-primary", "gd-button-small", "button-dropdown", "dropdown-button", isOpen && "is-active") },
    React.createElement("span", { className: "gd-button-text" }, itemToString(selectedItem)),
    React.createElement("span", { className: cx("gd-button-icon", isOpen ? "gd-icon-navigateup" : "gd-icon-navigatedown") })));
//# sourceMappingURL=SelectButton.js.map