import React from "react";
import { IAttributeFilterBaseProps } from "./types.js";
import { VisibilityMode } from "../shared/index.js";
/**
 * @public
 */
export type IAttributeFilterButtonProps = Omit<IAttributeFilterBaseProps, "disabled"> & {
    attributeFilterMode?: VisibilityMode;
};
/**
 * AttributeFilterButton is a component that renders a rich button and a dropdown populated with attribute values
 * for specified attribute display form.
 * @public
 */
export declare const AttributeFilterButton: React.FC<IAttributeFilterButtonProps>;
//# sourceMappingURL=AttributeFilterButton.d.ts.map