import React from "react";
import { IAttributeFilterDropdownBodyProps } from "./types.js";
/**
 * Component showing a list of elements and controls for manipulating the selection.
 *
 * @remarks
 * It uses a component using the {@link IAttributeFilterElementsSelectProps} props for search and manipulation of filter selection
 * and a component using the {@link IAttributeFilterDropdownActionsProps} props to confirm or cancel changes.
 *
 * @beta
 */
export declare const AttributeFilterDropdownBody: React.FC<IAttributeFilterDropdownBodyProps>;
//# sourceMappingURL=AttributeFilterDropdownBody.d.ts.map