import React from "react";
/**
 * Tooltip details for the AttributeFilterDropdownButton.
 *
 * @remarks
 * It displays AttributeFilterDropdownButton tooltip details in the GoodData look and feel.
 * It displays the default title, custom title and data set title of the related attribute filter.
 *
 * @beta
 */
export declare const AttributeFilterButtonErrorTooltip: React.FC<{
    children: React.ReactNode;
    errorMessage?: string;
}>;
//# sourceMappingURL=AttributeFilterButtonErrorTooltip.d.ts.map