import React from "react";
import { IAttributeFilterElementsSelectProps } from "./types.js";
/**
 * This component allows users to search Attribute Filter elements.
 * It manipulates selection.
 * It displays statues like loading, filtering etc.
 * It allows paging.
 * It displays selection status like number of elements and selected elements labels.
 * It displays messages when elements are filtered out by parent filters or the result of search is empty.
 *
 * @beta
 */
export declare const AttributeFilterElementsSelect: React.FC<IAttributeFilterElementsSelectProps>;
//# sourceMappingURL=AttributeFilterElementsSelect.d.ts.map