/**
 * @internal
 */
export const useAttributeFilterHandlerMethods = (handler) => {
    return {
        init: handler.init,
        onInitStart: handler.onInitStart,
        onInitSuccess: handler.onInitSuccess,
        onInitError: handler.onInitError,
        onInitCancel: handler.onInitCancel,
        loadAttribute: handler.loadAttribute,
        cancelAttributeLoad: handler.cancelAttributeLoad,
        onLoadAttributeStart: handler.onLoadAttributeStart,
        onLoadAttributeSuccess: handler.onLoadAttributeSuccess,
        onLoadAttributeError: handler.onLoadAttributeError,
        onLoadAttributeCancel: handler.onLoadAttributeCancel,
        loadInitialElementsPage: handler.loadInitialElementsPage,
        cancelInitialElementsPageLoad: handler.cancelInitialElementsPageLoad,
        onLoadInitialElementsPageStart: handler.onLoadInitialElementsPageStart,
        onLoadInitialElementsPageSuccess: handler.onLoadInitialElementsPageSuccess,
        onLoadInitialElementsPageError: handler.onLoadInitialElementsPageError,
        onLoadInitialElementsPageCancel: handler.onLoadInitialElementsPageCancel,
        loadNextElementsPage: handler.loadNextElementsPage,
        cancelNextElementsPageLoad: handler.cancelNextElementsPageLoad,
        onLoadNextElementsPageStart: handler.onLoadNextElementsPageStart,
        onLoadNextElementsPageSuccess: handler.onLoadNextElementsPageSuccess,
        onLoadNextElementsPageError: handler.onLoadNextElementsPageError,
        onLoadNextElementsPageCancel: handler.onLoadNextElementsPageCancel,
        loadCustomElements: handler.loadCustomElements,
        cancelCustomElementsLoad: handler.cancelCustomElementsLoad,
        onLoadCustomElementsStart: handler.onLoadCustomElementsStart,
        onLoadCustomElementsSuccess: handler.onLoadCustomElementsSuccess,
        onLoadCustomElementsError: handler.onLoadCustomElementsError,
        onLoadCustomElementsCancel: handler.onLoadCustomElementsCancel,
        loadIrrelevantElements: handler.loadIrrelevantElements,
        cancelIrrelevantElementsLoad: handler.cancelIrrelevantElementsLoad,
        onLoadIrrelevantElementsStart: handler.onLoadIrrelevantElementsStart,
        onLoadIrrelevantElementsSuccess: handler.onLoadIrrelevantElementsSuccess,
        onLoadIrrelevantElementsError: handler.onLoadIrrelevantElementsError,
        onLoadIrrelevantElementsCancel: handler.onLoadIrrelevantElementsCancel,
        setOrder: handler.setOrder,
        setSearch: handler.setSearch,
        setLimit: handler.setLimit,
        setLimitingAttributeFilters: handler.setLimitingAttributeFilters,
        setLimitingDateFilters: handler.setLimitingDateFilters,
        setLimitingMeasures: handler.setLimitingMeasures,
        setLimitingValidationItems: handler.setLimitingValidationItems,
        changeSelection: handler.changeSelection,
        clearSelection: handler.clearSelection,
        revertSelection: handler.revertSelection,
        invertSelection: handler.invertSelection,
        commitSelection: handler.commitSelection,
    };
};
//# sourceMappingURL=useAttributeFilterHandlerMethods.js.map