import { IAttributeElements, IAttributeFilter, INegativeAttributeFilter, IPositiveAttributeFilter, ObjRef } from "@gooddata/sdk-model";
import { FilterSelector } from "../common/types.js";
/**
 * @internal
 */
export declare const selectAttributeFilterElementsForm: FilterSelector<"uris" | "values">;
/**
 * @internal
 */
export declare const selectHiddenElements: FilterSelector<string[]>;
/**
 * @internal
 */
export declare const selectHiddenElementsAsAttributeElements: FilterSelector<IAttributeElements>;
/**
 * @internal
 */
export declare const selectAttributeFilterDisplayForm: FilterSelector<ObjRef>;
/**
 * @internal
 */
export declare const selectAttributeFilterDisplayAsLabel: FilterSelector<ObjRef>;
/**
 * @internal
 */
export declare const selectAttributeFilterLocalIdentifier: FilterSelector<string>;
/**
 * @internal
 */
export declare const selectOriginalFilter: FilterSelector<IAttributeFilter>;
/**
 * @internal
 */
export declare const selectAttributeFilterElements: FilterSelector<IAttributeElements>;
/**
 * @internal
 */
export declare const selectAttributeFilterElementsWithHiddenElementsResolved: FilterSelector<IAttributeElements>;
/**
 * Return filter in form given by displayAsLabel
 * @internal
 */
export declare const selectAttributeFilterElementsToDisplayWithHiddenElementsResolved: FilterSelector<IAttributeElements>;
/**
 * @internal
 */
export declare const selectAttributeFilter: FilterSelector<INegativeAttributeFilter | IPositiveAttributeFilter>;
/**
 * @internal
 */
export declare const selectAttributeFilterToDisplay: FilterSelector<INegativeAttributeFilter | IPositiveAttributeFilter>;
//# sourceMappingURL=filterSelectors.d.ts.map