// (C) 2021-2025 GoodData Corporation
// in current version of @reduxjs/toolkit esm export are not defined
// we need direct import from esm module otherwise import ar not node compatible
// https://github.com/reduxjs/redux-toolkit/issues/1960
import { createSelector } from "@reduxjs/toolkit/dist/redux-toolkit.esm.js";
import { selectState } from "../common/selectors.js";
/**
 * @internal
 */
export const selectInitStatus = createSelector(selectState, (state) => state.initialization.status);
/**
 * @internal
 */
export const selectInitError = createSelector(selectState, (state) => state.initialization.error);
//# sourceMappingURL=initSelectors.js.map