// (C) 2023 GoodData Corporation
import identity from "lodash/identity.js";
const loadIrrelevantElementsRequest = identity;
const loadIrrelevantElementsStart = (state) => {
    state.selection.commited.irrelevantKeys = [];
    state.selection.working.irrelevantKeys = [];
};
const loadIrrelevantElementsSuccess = (state, action) => {
    state.selection.commited.irrelevantKeys = action.payload.elementTitles;
    state.selection.working.irrelevantKeys = action.payload.elementTitles;
};
const loadIrrelevantElementsError = identity;
const loadIrrelevantElementsCancelRequest = identity;
const loadIrrelevantElementsCancel = identity;
/**
 * @internal
 */
export const loadIrrelevantElementsReducers = {
    loadIrrelevantElementsRequest,
    loadIrrelevantElementsStart,
    loadIrrelevantElementsSuccess,
    loadIrrelevantElementsError,
    loadIrrelevantElementsCancelRequest,
    loadIrrelevantElementsCancel,
};
//# sourceMappingURL=loadIrrelevantElementsReducers.js.map