import React from "react";
import { WeekStart } from "@gooddata/sdk-model";
import { DateFilterOption, IDateFilterOptionsByType } from "../interfaces/index.js";
import { DateFilterRoute } from "../DateFilterBody/types.js";
interface IAbsoluteDateFilterFormSection {
    filterOptions: IDateFilterOptionsByType;
    selectedFilterOption: DateFilterOption;
    dateFormat: string;
    weekStart: WeekStart;
    isTimeForAbsoluteRangeEnabled: boolean;
    isMobile: boolean;
    route: DateFilterRoute;
    changeRoute: (newRoute?: DateFilterRoute) => void;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    closeDropdown: () => void;
    onApplyClick: () => void;
}
export declare const AbsoluteDateFilterFormSection: React.FC<IAbsoluteDateFilterFormSection>;
export {};
//# sourceMappingURL=AbsoluteDateFilterFormSection.d.ts.map