// (C) 2025 GoodData Corporation
import React from "react";
import { AllTimeFilterItem } from "./AllTimeFilterItem.js";
const ITEM_CLASS_MOBILE = "gd-date-filter-item-mobile";
export const AllTimeFilterSection = ({ filterOptions, selectedFilterOption, isMobile, onSelectedFilterOptionChange, }) => {
    if (!filterOptions.allTime) {
        return null;
    }
    return (React.createElement(AllTimeFilterItem, { filterOption: filterOptions.allTime, selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, className: isMobile ? ITEM_CLASS_MOBILE : undefined }));
};
//# sourceMappingURL=AllTimeFilterSection.js.map