import React, { ComponentType } from "react";
import { IDateFilterButtonProps } from "../DateFilterButton/DateFilterButton.js";
import { DateFilterOption } from "../interfaces/index.js";
import { IFilterButtonCustomIcon } from "../../shared/index.js";
export interface IDateFilterButtonLocalizedProps {
    dateFilterOption: DateFilterOption;
    dateFormat: string;
    isOpen?: boolean;
    isMobile: boolean;
    customFilterName?: string;
    disabled?: boolean;
    customIcon?: IFilterButtonCustomIcon;
    buttonRef?: React.MutableRefObject<HTMLElement | null>;
    dropdownId?: string;
    onClick?: () => void;
    ButtonComponent?: ComponentType<IDateFilterButtonProps>;
}
export declare const DateFilterButtonLocalized: React.FC<IDateFilterButtonLocalizedProps>;
//# sourceMappingURL=DateFilterButtonLocalized.d.ts.map