// (C) 2025 GoodData Corporation
import React from "react";
import { getLocalizedDateFormat } from "../utils/FormattingUtils.js";
export const DateRangeHint = ({ dateFormat, isTimeEnabled, dateHintId, timeHintId, intl }) => (React.createElement("div", { className: "gd-date-range__hint" },
    React.createElement("div", { id: dateHintId }, intl.formatMessage({ id: "filters.staticPeriod.dateFormatHint" }, { format: dateFormat || getLocalizedDateFormat(intl.locale) })),
    isTimeEnabled ? (React.createElement("div", { id: timeHintId }, intl.formatMessage({ id: "filters.staticPeriod.timeFormatHint" }))) : null));
//# sourceMappingURL=DateRangeHint.js.map