// (C) 2025 GoodData Corporation
import React from "react";
import cx from "classnames";
export const InputErrorMessage = ({ descriptionId, errorText }) => {
    if (!errorText) {
        return null;
    }
    return (React.createElement("div", { id: descriptionId, className: cx("gd-date-range-picker-input__description", {
            "gd-date-range-picker-input__description--error": !!errorText,
            "s-absolute-range-error": !!errorText,
        }) }, errorText));
};
//# sourceMappingURL=InputErrorMessage.js.map