import { IMessageTranslator } from "../utils/Translations/Translators.js";
import { DynamicSelectItem, DynamicSelectOption } from "./types.js";
import { DateFilterGranularity } from "@gooddata/sdk-model";
export declare const MINUTE: DateFilterGranularity;
export declare const HOUR: DateFilterGranularity;
export declare const DAY: DateFilterGranularity;
export declare const WEEK_US: DateFilterGranularity;
export declare const MONTH: DateFilterGranularity;
export declare const QUARTER: DateFilterGranularity;
export declare const YEAR: DateFilterGranularity;
export declare const findRelativeDateFilterOptionByLabel: (options: DynamicSelectItem[], input: string) => DynamicSelectOption | null;
export declare const findRelativeDateFilterOptionIndexByLabel: (options: DynamicSelectItem[], input: string) => number;
export declare const findRelativeDateFilterOptionByValue: (options: DynamicSelectItem[], value: number) => DynamicSelectOption | null;
export declare function getRelativeDateFilterItems(input: string, granularity: DateFilterGranularity, intl: IMessageTranslator): DynamicSelectItem[];
//# sourceMappingURL=utils.d.ts.map