import React from "react";
import { ISelectItem, ISelectItemOption } from "./types.js";
export interface ISelectProps<V> {
    items: Array<ISelectItem<V>>;
    value?: ISelectItemOption<V>["value"];
    initialIsOpen?: boolean;
    onChange?: (item: ISelectItemOption<V>) => void;
    className?: string;
    style?: React.CSSProperties;
}
export declare const Select: <V extends {}>({ onChange, value, items, initialIsOpen, className, style, }: ISelectProps<V>) => JSX.Element;
//# sourceMappingURL=Select.d.ts.map