/// <reference types="react" />
import { ControllerStateAndHelpers } from "downshift";
import { ISelectItem, ISelectItemOption } from "./types.js";
export interface ISelectMenuProps<V> {
    items: Array<ISelectItem<V>>;
    selectedItem: ISelectItemOption<V>;
    highlightedIndex?: number;
    getItemProps: ControllerStateAndHelpers<ISelectItem<V>>["getItemProps"];
    getMenuProps: ControllerStateAndHelpers<ISelectItem<V>>["getMenuProps"];
    className?: string;
    optionClassName?: string;
}
export declare const SelectMenu: <V extends {}>({ items, selectedItem, highlightedIndex, getItemProps, getMenuProps, className, optionClassName, }: ISelectMenuProps<V>) => JSX.Element;
//# sourceMappingURL=SelectMenu.d.ts.map